%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		zynjacku
Version:	6
Release:	25%{?dist}
Summary:	LV2 synths and plugins host
License:	GPLv2
URL:		http://home.gna.org/zynjacku/	
Source0:	http://download.gna.org/zynjacku/%{name}-%{version}.tar.bz2
# Derived from the art/logo/logo.png from the tarball
Source1:	%{name}.png
Source2:	%{name}.desktop
Source3:	lv2rack.desktop
# Correct lv2 path on 64bit systems:
# https://gna.org/bugs/?13687
Patch0:		%{name}-lv2path.patch

BuildRequires:	gtk2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gcc
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	lv2core-devel
BuildRequires:	lv2dynparam-devel
BuildRequires:	pygtk2-devel

Requires:	pygtk2-libglade
Requires:	python2-lash

Provides:	lv2rack = %{version}-%{release}

# we don't want to provide private python extension libs
%{?filter_setup:
%filter_provides_in %{python2_sitearch}/.*\.so$ 
%filter_setup
}

%description
zynjacku is JACK based, GTK (2.x) host for LV2 synths. It has one JACK MIDI
input port (routed to all hosted synths) and one (two for stereo synths) JACK
audio output port per plugin. Such design provides multi-timbral sound by 
running several synth plugins.

zynjacku is a nunchaku weapon for JACK audio synthesis. You have solid parts
for synthesis itself and you have flexible part that allows synthesis to suit
your needs.

lv2rack is a host for LV2 effect plugins. 

%prep
%setup -q
%patch0 -p1 -b .lv2path

# Remove redundant shebang
sed -i '\|/usr/bin/env|d' zynworld/host.py

# Fedora >= 30 does not accept unversioned python shebangs
sed -i 's|/usr/bin/env python|%{__python2}|' zynjacku lv2rack zynspect

# lv2core seemingly permanently renamed to lv2 at version 1.16
# A proper fix involves invoking autotools, however as this package is
# dead upstream a quick hack is sufficient.
sed -i 's|lv2core|lv2|g' configure

%build
export am_cv_python_pythondir=%{python2_sitearch}
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# Fix weird permissions
chmod -x $RPM_BUILD_ROOT%{python2_sitearch}/zynworld/*.py

# We don't need duplicate files
ln -sf %{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}/gpl.txt \
	$RPM_BUILD_ROOT/%{_datadir}/%{name}/

# Kill .la files
rm -f $RPM_BUILD_ROOT%{python2_sitearch}/zynworld/*.la

# Icon
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/72x72/apps/
cp -a %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/72x72/apps/

# .desktop files
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications/
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications/ %{SOURCE2}
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications/ %{SOURCE3}


%files
%doc AUTHORS NEWS README
%license gpl.txt
%{_bindir}/*
%{python2_sitearch}/zynworld
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/72x72/apps/%{name}.png

%changelog
* Sat Aug 03 2019 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 6-25
- lv2core -> lv2 in configure

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 6-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Feb 11 2019 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 6-23
- Versioned Python shebangs
- Fixed Python macros properly

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 6-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 6-20
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6-18
- Remove obsolete scriptlets

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 6-15
- Rebuild due to bug in RPM (RHBZ #1468476)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6-13
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Aug 20 2014 Kevin Fenzi <kevin@scrye.com> - 6-10
- Rebuild for rpm bug 1131892

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Nov  9 2013 Ville Skyttä <ville.skytta@iki.fi> - 6-7
- Fix symlink to gpl.txt when doc dir is unversioned.
- Fix bogus date in %%changelog.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 6-2
- Rebuild for new libpng

* Sat Apr 30 2011 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 6-1
- Update to 6
- Drop upstreamed patch

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 5-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jan 22 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 5-4
- Don't crash when there are no plugins installed RHBZ#551480

* Wed Aug 05 2009 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 5-3
- Update the .desktop file

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 14 2009 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 5-1
- Update to 5

* Fri Apr 10 2009 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 4-2
- License is GPLv2
- Clean up unnecessary bits from SPEC file

* Mon Mar 30 2009 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 4-1
- Initial build
